Subject: [os2genau_digest] No. 860
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 18 May 2004 00:01:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 17 May 2004
 Number  860
**************************************************

Subjects for today
 
1  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress?? : John Angelico" <talldad at kepl dot com dot au>
2  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress?? : Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
3  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress?? : John Angelico" <talldad at kepl dot com dot au>
4  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress?? : Ed Durrant <edurrant at bigpond dot net dot au>
5  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress?? : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Mon, 17 May 2004 13:57:04 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress??

On Fri, 14 May 2004 19:32:57 +1000, Ed Durrant wrote:

[Started typing Sat night.]

>
>John Angelico wrote:
>
>> Have tested with IRQ 10 and IO base 300 with no further success, but no loss
>> - still able to hot swap card, recognise, and allocate resources.
>>
>> Giving up for the night - dispirited, I'm afraid.
>>
>
>PCMCIA always gives problems !!
>
>If it wasn't in different hardware, I'd say set the IO and IRQ to the same in protocol.ini as you had from Win98 - Hey try it anyway.

>
>You have proved that the card and cable work correctly. The driver has loaded without errors, so I really think we're still looking >at an IRQ or IO problem.
>
>Does ANY card work in the TP390 ??  i.e. another card not this etherjet card ? If no, then you problem is with socket services.

Yes. Compact Flash card is fine in either slot.

Both cards are recognised well enough to trigger "Launch" actions: for
Compact Flash we launch Drives object for Drive E: and for Etherjet we launch
a CMD file to run Ping - to test if the network responds.

>
>What you could try is to go in through thinkpad features on the TP390 and disable every device you don't need to have the >system run. So LPT, COM, IR, USB etc. This will definately free off IO and IRQs. Then see if you can get the card to run, if so >hardcode those settings and start to re-enable all the other devices, one by one and see if/when the problem re-occurs. The >problem is that not all devices are recognised by resource manager but they are still there and can and do often conflict with >other devices.

Already done except for LPT on IRQ 7. IR and Legacy Modem were looking for
IRQs 3 & 4. Disabled them and tried the card on 3 but PCC Director reported
an IRQ Conflict - with a disabled device<g>.  

We have avoided IRQ 9 (the "cascade" into the upper set of IRQs) but this is
what Win98 allocated - funny.

Further developments this Monday morning. 

After Bob helped me get Win98 working with the card, I recorded all settings,
all IRQs but not IOBase addresses - won't translate to eCS memory model.

I then reset Boot Manager to include the Win98 - no dramas.

I came back to eCS for testing there, no advance. 

Went back to Win98 to check the settings again, and blow me down Win98 on
first boot detects hardware (Multimedia Audio Device, InfraRed devices and
PCI Comms device) for which we have no drivers. Cancel those, continue with
boot. For IR devices Win98 loaded drivers and allocated resources anyway :( .

Now Win98 can't get the EtherJet card going. What the blazes is going on
here?

1. Reset BIOS to factory defaults.
2. Reset some unwanted devices (eg. comms) to disabled, left InfraRed enabled
3. Win98 insists there is some Multimedia Audio device for which we have no
driver, and detects the hardware on EVERY reboot
4. Even if IR is disabled, Win98 insists on loading device driver and
allocating resources to it
5. When Win98 loads drivers for the EtherJet, it tells us there is a conflict
and shows error 12.
	It shows IRQ 0 and IOBase 0000 (understand as can't allocate
resources)
	It can't allocate IRQ, only 4 and 7 possible but 5 and 11 show as
"PCI sleeper"
6. If I select IRQ5 manually, on next reboot Win98 accepts IRQ5, no conflicts
but I can't manually set the IOBase so the card still can't work.

One step forward, two steps back. 

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... OXYMORON #599: Windows productivity
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Mon, 17 May 2004 14:09:58 +1000
From:  "Robert Traynor  (BobT)" <rtraynor at optusnet dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress??

John,

Let me have the laptop for a week.

I will either give it back to you working or in a zillion bits
and pieces.  :-)

Either way your problems will be completely solved, forever.!

:-)

Robert Traynor (BobT).
17 May 2004   14:09

   ,-._|\       Robert Traynor        (BobT)
 /  Oz  \      email            rtraynor at removeme.optusnet dot com dot au
 \_,--.x/ 

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Mon, 17 May 2004 15:14:27 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress??

On Mon, 17 May 2004 14:09:58 +1000, Robert Traynor  (BobT) wrote:

>John,
>
>Let me have the laptop for a week.
>
>I will either give it back to you working or in a zillion bits
>and pieces.  :-)
>
>Either way your problems will be completely solved, forever.!
>
>:-)

OK Bob.

I will have it with me on this trip Wed-Sun, but if you remind me by email, I
will bring the flaming thing into the SIG meeting next week.

The thing is still an improvement over the 760EL because it has a better
screen, keyboard, plus inbuilt  FDD. So in general terms I would like to
persist with it.

I still have saome 2nd hand 3-mth warranty available if it really turns out
to be a subtle hardware problem.

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Mon, 17 May 2004 19:13:54 +1000
From:  Ed Durrant <edurrant at bigpond dot net dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress??

John Angelico wrote:

> Went back to Win98 to check the settings again, and blow me down Win98 on
> first boot detects hardware (Multimedia Audio Device, InfraRed devices and
> PCI Comms device) for which we have no drivers. Cancel those, continue with
> boot. For IR devices Win98 loaded drivers and allocated resources anyway :( .
>
> Now Win98 can't get the EtherJet card going. What the blazes is going on
> here?
>
> 1. Reset BIOS to factory defaults.
> 2. Reset some unwanted devices (eg. comms) to disabled, left InfraRed enabled
> 3. Win98 insists there is some Multimedia Audio device for which we have no
> driver, and detects the hardware on EVERY reboot
> 4. Even if IR is disabled, Win98 insists on loading device driver and
> allocating resources to it
> 5. When Win98 loads drivers for the EtherJet, it tells us there is a conflict
> and shows error 12.
>         It shows IRQ 0 and IOBase 0000 (understand as can't allocate
> resources)
>         It can't allocate IRQ, only 4 and 7 possible but 5 and 11 show as
> "PCI sleeper"
> 6. If I select IRQ5 manually, on next reboot Win98 accepts IRQ5, no conflicts
> but I can't manually set the IOBase so the card still can't work.
>
> One step forward, two steps back.
>

 Windows 98 will not be happy until you install the drivers for the multimedia device that is very PROUD to have found !!  It's its new baby and it WANTS the drivers !!  Otherwise it goes into the corner and cries and wont let you do anything else new !

You could try disabling the device in Hardware manager. That could sort it out, other than that, I'd be looking for the drivers from IBM's thinkpad support pages.

Once that's sorted, you can see about getting the card working under Windows and then eCS again.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   5 ==========================**

Date:  Mon, 17 May 2004 21:28:34 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  [nb2discuss] Thinkpad 390E Etherjet Progress??

On Mon, 17 May 2004 19:13:54 +1000, Ed Durrant wrote:

Hi, Ed.

> Windows 98 will not be happy until you install the drivers for the multimedia device that is very PROUD to have found !!  It's its new baby and it WANTS the drivers !!  Otherwise it goes into the corner and cries and wont let you do anything else new !

Yeah!! You betcha baby!

>
>You could try disabling the device in Hardware manager. That could sort it out, other than that, I'd be looking for the drivers from IBM's thinkpad support pages.

Except that there is no such device shown in the BIOS (Uh, new acronym: B...
IDIOT OPERATING SYSTEM!)

>Once that's sorted, you can see about getting the card working under Windows and then eCS again.

That's fine in practice, but it will never work in theory <G>

OK. Hold for a week please, everybody.

I can't afford any more time on this part of the project.

We are populating the machine with a couple of essentials (eg. DeScribe) and
some cut down text form data files. 

If I was *REALLY* fed up I would return to handwritten records! 

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

PMTagline v1.50 - Copyright, 1996-1997, Stephen Berg and John Angelico
.... World's Greatest Lie #5: The program is bug free.
----------------------------------------------------------------------------------